Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management
Class MBeanOperationsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wlevs.management.NestedCheckedException
                        |
                        +--com.bea.wlevs.management.MBeanOperationsException

public class MBeanOperationsException
extends com.bea.wlevs.management.NestedCheckedException

This class represents wraps any execption that was thrown during an MBean operation. `getMessage` will include nested exception information; `printStackTrace` and other like methods will delegate to the wrapped exception, if any.

See Also:
  Serialized Form

Constructor Summary
`MBeanOperationsException(String message)` Construct a `MBeanOperationsException` with a specific message
`MBeanOperationsException(String message, Throwable cause)` Construct a `MBeanOperationsException` with a detail message and a root cause.
`MBeanOperationsException(Throwable cause)`

Method Summary
`String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanOperationsException

    public MBeanOperationsException(String message)

  Construct a `MBeanOperationsException` with a specific message

  Parameters:
    `message` -

### MBeanOperationsException

    public MBeanOperationsException(String message,
                                    Throwable cause)

  Construct a `MBeanOperationsException` with a detail message and a root cause.

  Parameters:
    `message` - - any message associated with the exception
    `cause` -

### MBeanOperationsException

    public MBeanOperationsException(Throwable cause)

Method Detail

### getMessage

    public String getMessage()

  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    getMessage in class com.bea.wlevs.management.NestedCheckedException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD